%global srcname psutil

Name:           python-%{srcname}
Version:        4.1.0
Release:        %mkrel 1
Summary:        Module providing an interface for retrieving information on all running processes
Group:          Development/Python
License:        MIT
URL:            https://github.com/giampaolo/psutil
Source0:        https://github.com/giampaolo/psutil/archive/release-%{version}/%{srcname}-%{version}.tar.gz
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
psutil is a module providing an interface for retrieving information
on all running processes and system utilization (CPU, memory, disks,
network, users) in a portable way by using Python, implementing many
functionalities offered by command line tools.

%files
%doc CREDITS HISTORY.rst README.rst
%{python2_sitearch}/%{srcname}/
%{python2_sitearch}/*.egg-info/

%package -n     python3-%{srcname}
Summary:        Module providing an interface for retrieving information on all running processes
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
psutil is a module providing an interface for retrieving information
on all running processes and system utilization (CPU, memory, disks,
network, users) in a portable way by using Python, implementing many
functionalities offered by command line tools.
This is the Python 3 build of %{srcname}.

%files -n python3-%{srcname}
%doc CREDITS HISTORY.rst README.rst
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/*.egg-info/

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-release-%{version}

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
	%py3_build
popd

%install
%py2_install

pushd %{py3dir}
	%py3_install
popd



%changelog
* Fri Apr 15 2016 daviddavid <daviddavid> 4.1.0-1.mga6
+ Revision: 1002748
- new version: 4.1.0

* Fri Feb 12 2016 daviddavid <daviddavid> 3.4.2-1.mga6
+ Revision: 957005
- new version: 3.4.2

* Mon Jan 18 2016 daviddavid <daviddavid> 3.4.1-1.mga6
+ Revision: 925684
- new version: 3.4.1

* Fri Dec 18 2015 daviddavid <daviddavid> 3.3.0-1.mga6
+ Revision: 911555
- new version: 3.3.0
- use new python macros
- add doc files

* Wed Oct 07 2015 ovitters <ovitters> 3.1.1-2.mga6
+ Revision: 887069
- rebuild for new python3

* Wed Aug 26 2015 wally <wally> 3.1.1-1.mga6
+ Revision: 869765
- new version 3.1.1
- fix URL

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-5.mga5
+ Revision: 741604
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.0-4.mga5
+ Revision: 729331
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 688226
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.0.0-2.mga5
+ Revision: 628908
- Rebuild for new Python

* Mon Mar 31 2014 kharec <kharec> 2.0.0-1.mga5
+ Revision: 610901
- new version 2.0.0

* Fri Feb 14 2014 wally <wally> 1.2.1-1.mga5
+ Revision: 591203
- new version 1.2.1
- enable python3 build
- fix URL tag

* Tue Oct 22 2013 umeabot <umeabot> 0.6.1-5.mga4
+ Revision: 544058
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.1-4.mga4
+ Revision: 499128
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 neoclust <neoclust> 0.6.1-3.mga4
+ Revision: 468961
- Remove wrong require on python-setuptools

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1-2.mga3
+ Revision: 379286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 neoclust <neoclust> 0.6.1-1.mga3
+ Revision: 312304
- imported package python-psutil

